<button class="btn" (click)="onForm = !onForm" [ngClass]="{'red': onForm, 'green': !onForm}">on/off HttpClient</button>
<div class="container" *ngIf="onForm">
   <h1>Angular HttpClient</h1>

   <div class="card">
      <div class="form-control">
         <input type="text" placeholder="Название" [(ngModel)]="todoTitle">
      </div>
      <button class="btn" (click)="addTodo()">добавить</button>
      <button class="btn" (click)="fetchTodo()">загрузить</button>
   </div>

   <hr>

   <p *ngIf="error; else todoBlock" class="error">{{error}}</p>

   <ng-template #todoBlock>
      <div *ngIf="!loading; else loadingBlock">
         <div *ngIf="todos.length; else empty">
            <div class="card" *ngFor="let todo of todos">
               <p>
                  <span [class.completed]="todo.completed">{{todo.title | titlecase}}</span>
                  <span>
                     <button class="btn btn-danger" (click)="removeTodo(todo.id!)">удалить</button>
                     <button class="btn" [disabled]="todo.completed" (click)="completeTodo(todo.id!)">завершить</button>
                  </span>
               </p>
            </div>
         </div>
      </div>

      <ng-template #empty>
         <p>Нет Элементов</p>
      </ng-template>

      <ng-template #loadingBlock>
         <p>
            ...loading
         </p>
      </ng-template>
   </ng-template>
</div>